Description

Currently, the default notification option of a user is "Only for things I watch or I'm involved in". This means that a user will receive

notifications about issues of which the user is an author, assignee, or watcher. I think it would be better to change the default value to

"Only for things I watch or I am assigned to". With the option, the user will receive notifications about issues of which the user is an

assignee or watcher.

"Only for things I watch or I'm involved in" (internal name is only_my_events): issues of which the user is an author, assignee,

or watcher

"Only for things I watch or I am assigned to" (internal name is only_assigned): issues of which the user is an assignee, or

watcher

In Redmine 5.1, we will have "Auto watch issues on issue creation" feature (#38238). Since the new feature is enabled by default for

newly created users, new users in Redmine 5.1 automatically become a watcher of issues they create. Becoming an issue watcher

automatically means that the user will always receive notifications for issues they create even if the user's notification option is set to

"only_assigned". Whether the setting is "only_my_events" or "only_assigned", the type of notifications received will be the same.

Given that "only_my_events" and "only_assigned" behave the same when the user's settings are left at their defaults, I think it would

be better to change the default setting for email notifications (Setting.default_notification_option) from "only_my_events" to

"only_assigned" because of the following reasons:

Users can stop notifications of issues they created by unwatching those issues. This fulfills feature requests such as #6914 and 

#27135

The behavior is confusing if "Auto watch issues on issue creation" is enabled and the notification setting is "only my events".

The user will assume that the reason they receive notifications about issues they created is that they watch the issues. And if

they want to stop receiving notifications, they will unwatch the issue. However, unwatching will not stop notifications when the

notification setting is "only_my_events".

Related issues:

Related to Redmine - Feature #38238: Auto watch issues on issue creation Closed

Is duplicate of Redmine - Feature #39500: Change the default notification opt... Closed

History

#1 - 2023-03-09 10:14 - Go MAEDA

- Related to Feature #38238: Auto watch issues on issue creation added

#2 - 2023-03-22 07:03 - Go MAEDA

- Target version set to Candidate for next major release

#3 - 2024-01-04 11:14 - Go MAEDA

- Is duplicate of Feature #39500: Change the default notification option for users to "Only for things I watch or I am assigned to" added

#4 - 2024-01-04 11:14 - Go MAEDA

- Status changed from New to Closed

- Target version deleted (Candidate for next major release)

- Resolution set to Duplicate
